## org.apache.batik.bridge
Class RelaxedScriptSecurity

    java.lang.Object
      org.apache.batik.bridge.RelaxedScriptSecurity

All Implemented Interfaces:
  ScriptSecurity

public class RelaxedScriptSecurity
extends java.lang.Object
implements ScriptSecurity

This implementation for the `ScriptSecurity` interface. allows the script to be loaded and does not impose constraints on the urls. Note that this only means there is no check on the script's origin, not that it will run without security checks.

Constructor Summary
`RelaxedScriptSecurity(java.lang.String scriptType, ParsedURL scriptURL, ParsedURL docURL)`

Method Summary
`void` `checkLoadScript()` Controls whether the script should be loaded or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelaxedScriptSecurity

    public RelaxedScriptSecurity(java.lang.String scriptType,
                                 ParsedURL scriptURL,
                                 ParsedURL docURL)

Parameters:
  `scriptType` - type of script, as found in the type attribute of the <script> element.
  `scriptURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
  `docURL` - url for the document into which the script was found.

Method Detail

### checkLoadScript

    public void checkLoadScript()

  Controls whether the script should be loaded or not.

  Specified by:
    `checkLoadScript` in interface `ScriptSecurity`
  Throws:
    `java.lang.SecurityException` - if the script should not be loaded.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.